function fig5_17

clf

% get(gcf)
%set(gcf,'Position', [11 917 560 420])
set(gcf,'Position', [11 837 760 500])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)

% n	yn (numerical)
load fig417num.txt
xn=fig417num(:,1);
yn=fig417num(:,2);

% n	yL
load fig417yl.txt
xl=fig417yl(:,1);
yl=fig417yl(:,2);

% n	yR
load fig417yr.txt
xr=fig417yr(:,1);
yr=fig417yr(:,2);

subplot(2,1,1)
plot(xn,yn,'--b','Linewidth',1.1)
hold on
plot(xl,yl,'r','Linewidth',1.1)
%legend(' Numerical',' WKB','Location',[0.705 0.651 0.194 0.0841],'AutoUpdate','off')
legend(' Numerical',' WKB','Location','NorthWest','FontSize',12,'AutoUpdate','off')
plot(xr,yr,'r','Linewidth',1.1)
plot(xn,yn,'--b','Linewidth',1.1)

box on
grid on

set(gca,'ytick',[-5 0 5 10])
set(gca,'YTickLabel',{'$-5$';'$0$';'5';'10'})

ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',13)

xlabel('$n$\,-\,axis','Interpreter','latex','FontSize',14)
ylabel('$y_n$','Interpreter','latex','FontSize',15)

subplot(2,1,2)
hold on
box on
grid on

plot(xn,yn,'ob','Linewidth',1.1,'MarkerSize',6)
plot(xl,yl,'*r','Linewidth',1.1,'MarkerSize',6)
plot(xr,yr,'*r','Linewidth',1.1,'MarkerSize',6)
axis([40 60 0 10])

set(gca,'ytick',[0 5 10])

ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',13)

xlabel('$n$\,-\,axis','Interpreter','latex','FontSize',14)
ylabel('$y_n$','Interpreter','latex','FontSize',15)
legend(' Numerical',' WKB','Location','NorthEast','FontSize',12)
hold off

%exportgraphics(gcf,'/Users/mark/Desktop/fig414.pdf')



